#include <math.h>
double dk(double s, double *th)
{
  double p=th[0], b1=th[1], b2=th[2],
         mu1=th[3], mu2=th[4];
  double t1;
  double t11;
  double t13;
  double t15;
  double t16;
  double t2;
  double t20;
  double t21;
  double t25;
  double t26;
  double t27;
  double t3;
  double t6;
  double t7;
  {
    t1 = 1.0-p;
    t2 = mu1*mu1;
    t3 = mu2*mu2;
    t6 = t2*(t3-2.0*s);
    t7 = pow(t6,-0.5);
    t11 = pow(t6,0.5);
    t13 = exp(mu1*mu2-t11);
    t15 = b2-s;
    t16 = 1/t15;
    t20 = t1*t13;
    t21 = t15*t15;
    t25 = p*b1;
    t26 = b1-s;
    t27 = t26*t26;
    return((0.1E1*t1*t7*t2*t13*b2*t16+t20*b2/t21+t25/t27)/(t20*b2*t16+t25/t26)
);
  }
}
