#include <math.h>
double k(double s, double *th)
{
  double p=th[0], b1=th[1], b2=th[2],
         mu1=th[3], mu2=th[4];
  double t10;
  double t3;
  double t4;
  double t8;
  {
    t3 = mu1*mu1;
    t4 = mu2*mu2;
    t8 = pow(t3*(t4-2.0*s),0.5);
    t10 = exp(mu1*mu2-t8);
    return(log((1.0-p)*t10*b2/(b2-s)+p*b1/(b1-s)));
  }
}
