#include <math.h>

double calc_c( double f, double *pg )
{
   return( f - log( pg[10] ) );
}

#include <gsl/gsl_rng.h>
#include <gsl/gsl_randist.h>

void sample_g( int nth, double *th, double *pg, gsl_rng *r )
{
   int i;

   for( i=0; i<nth; i++ ) {
      th[i] = gsl_ran_flat( r, pg[i], pg[nth+i] );
   }
}

double g( double *theta, double *pg )
{
   return pg[10];
}
