evalPost <- function (theta, ip, dp, opt=0, id=0, compile=TRUE,
                      clean=TRUE)
{
   if (compile) {
      if (id) {
         system("make evalPost.so; make clean")
      } else {
         system("ln -s ../Makefile makefile; make -f makefile evalPost.so;
                 make -f makefile clean")
      }
   }
   dyn.load("evalPost.so")

   ip <- c(opt, ip); nll <- as.integer(length(theta) / ip[2]);

   List <- .C("evalPost", as.double(theta), as.integer(nll), as.integer(ip),
              as.double(dp), ll = as.double(numeric(nll)));

   dyn.unload("evalPost.so")
   if (clean) {
      if (id) {
         system("make clean.so")
      } else {
         system("make -f makefile clean.so; rm makefile")
      }
   }

   if(opt) List$ll
   else -List$ll
}
