#include <math.h>
double dk(double s, double *th)
{
  double p=th[0], mu=th[1], l1=th[2], l2=th[3],
         a=th[4], b=th[5];
  double t1;
  double t11;
  double t12;
  double t14;
  double t15;
  double t18;
  double t19;
  double t2;
  double t21;
  double t22;
  double t24;
  double t25;
  double t28;
  double t33;
  double t38;
  double t4;
  double t6;
  double t8;
  {
    t1 = mu-s;
    t2 = t1*t1;
    t4 = mu/t2;
    t6 = 1/(b-s);
    t8 = pow(b*t6,1.0*a);
    t11 = mu/t1;
    t12 = 1.0-p;
    t14 = l1*l1;
    t15 = l2*l2;
    t18 = t14*(t15-2.0*s);
    t19 = pow(t18,0.5);
    t21 = exp(l1*l2-t19);
    t22 = t12*t21;
    t24 = 1.0-t11*t22;
    t25 = 1/t24;
    t28 = t11*p;
    t33 = t24*t24;
    t38 = pow(t18,-0.5);
    return((t4*p*t8*t25+t28*t8*a*t6*t25-t28*t8/t33*(-t4*t22-0.1E1*t11*t12*t38*
t14*t21))/mu*t1/p/t8*t24);
  }
}
