#include <math.h>

void transform( double *x, int *ip, double *dp )
{
   int i, nth=ip[1], ld=ip[6];

/* Transformation for Prior 1 */

   x[0] = (dp[ld]+dp[ld+nth]*exp(x[0])) / (1.0+exp(x[0]));
   x[1] = (dp[ld+1]+dp[ld+nth+1]*exp(x[1])) / (1.0+exp(x[1]));
   for( i=2; i<nth; i++ ) {
      x[i] = exp(x[i]);
   }
}
