source("../evalPost.r")

th.grid <- rbind(Theta.ss.burnin, Theta.ss)
th.grid <- as.vector(t(th.grid))

system("cp post_map.c post.c")
post.grid <- evalPost(th.grid, ip, dp, id=1)
system("rm post.c")

save.image()

postscript("post_val.ps", horizontal=FALSE)
par(pty="s")
plot(1:(N+nburnin), post.grid, xlab="Iteration", ylab="log Posterior",
     ylim=c(min(post.grid), max(c(post.grid, MAP$ll))), type="s")
abline(v=1000, col="red")
abline(h=quantile(post.grid[nburnin:(nburnin+N)], .5), col="blue")
abline(h=MAP$ll, col="green")
graphics.off()
