#include <math.h>
double k03(double s, double *th)
{
  double p31=th[0],l1=th[1],mu1=th[2],mu2=th[3],a1=th[4],
         b1=th[5];
  double t10;
  double t12;
  double t17;
  double t5;
  double t6;
  {
    t5 = mu1*mu1;
    t6 = mu2*mu2;
    t10 = pow(t5*(t6-2.0*s),0.5);
    t12 = exp(mu1*mu2-t10);
    t17 = pow(b1/(b1-s),1.0*a1);
    return(log(l1/(l1-s)*t12/(0.1E1-t12*p31*t17)*(1.0-p31)));
  }
}
