#include <math.h>
double k25(double s, double *th)
{
  double p42=th[0],eta1=th[1],eta2=th[2],a2=th[3],b2=th[4],
         l4=th[5];
  double t19;
  double t2;
  double t3;
  double t7;
  double t9;
  {
    t2 = eta1*eta1;
    t3 = eta2*eta2;
    t7 = pow(t2*(t3-2.0*s),0.5);
    t9 = exp(eta1*eta2-t7);
    t19 = pow(b2/(b2-s),1.0*a2);
    return(log(t9*(1.0-p42)*l4/(l4-s)/(0.1E1-t9*p42*t19)));
  }
}
