mc.pd <- read.table("mc_pd")
mc.hf <- read.table("mc_hf")

postscript("mmr.ps", horizontal=FALSE, width=8, height=4,
           paper="special")
par(pty="s", mfrow=c(1,2),oma=c(0,0,0,0),mar=c(3,2,1,1),mgp=c(2,1,0))
plot(t, pd, xlab="time", ylab="", xlim=c(0, xlim.up),
     type="l", main="density")
lines(t, mc.pd[,1], lty=2, col="red")
lines(t, mc.pd[,3], lty=2, col="red")
plot(t, hf, xlab="time", ylab="", xlim=c(0, xlim.up),
     type="l", main="hazard")
lines(t, mc.hf[,1], lty=2, col="red")
lines(t, mc.hf[,4], lty=2, col="red")
graphics.off()
