#include <math.h>
double k(double s, double *th)
{
  double p01=th[0], p10=th[1], l1=th[2],
         l2=th[3], a1=th[4], b1=th[5],
         a2=th[6], b2=th[7], mu=th[8];
  double t10;
  double t2;
  double t21;
  double t27;
  double t3;
  double t7;
  double t9;
  {
    t2 = l1*l1;
    t3 = l2*l2;
    t7 = pow(t2*(t3-2.0*s),0.5);
    t9 = exp(l1*l2-t7);
    t10 = p01*t9;
    t21 = pow(b1/(b1-s),1.0*a1);
    t27 = pow(b2/(b2-s),1.0*a2);
    return(log((t10*(1.0-p10)*mu/(mu-s)+(1.0-p01)*t21)/(1.0-t10*p10*t27)));
  }
}
