transform <- function (X, tip, tdp)
{
   dyn.load("transform.so")

   tr <- function (x, ip=tip, dp=tdp)
         {
            List <- .C("transform", t=as.double(x), as.integer(ip),
                       as.double(dp))
            List$t
         }
   if (!is.matrix(X)) { X <- matrix(X, nrow=1) }
   T <- t(apply(X, 1, tr))

   dyn.unload("transform.so")

   T
}
