#include <stdlib.h>
#include <gsl/gsl_complex.h>

double m_( gsl_complex, double * );

void fourier_id( int *, double *, int *, double *, double *, int *,
                 int *, int *, double *, double *, int *,
                 double (*)( gsl_complex, double * ) );

void id_( int *M, double *A, int *lt, double *t, double *theta,
          int *ntheta, int *max_iter, double *eps, double *fi,
          int *err_id )
{
   int N=1, err=0;
   double (*m)(gsl_complex, double *)=m_;

   fourier_id( M, A, lt, t, theta, &N, ntheta, max_iter, eps,
               fi, &err, m );
   if( err ) {
      *err_id = 1;
   }
   return;
}
