#include <math.h>
double dk(double s, double *th)
{
  double p34=th[0], a=th[1], b=th[2], l1=th[3],
         l2=th[4];
  double t10;
  double t11;
  double t13;
  double t14;
  double t18;
  double t2;
  double t20;
  double t22;
  double t4;
  double t6;
  double t7;
  double t9;
  {
    t2 = exp(4.0*s);
    t4 = 1/(b-s);
    t6 = pow(b*t4,1.0*a);
    t7 = p34*t6;
    t9 = exp(18.0*s);
    t10 = t7*t9;
    t11 = 1.0-p34;
    t13 = l1*l1;
    t14 = l2*l2;
    t18 = sqrt(t13*(t14-0.2E1*s));
    t20 = exp(l1*l2-t18);
    t22 = t10+t11*t20;
    return((4.0*t2*t22+t2*(t7*a*t4*t9+18.0*t10+0.1E1*t11/t18*t13*t20))/t2/t22);
  }
}

