#include <math.h>
double k(double s, double *th)
{
  double p34=th[0], a=th[1], b=th[2], l1=th[3],
         l2=th[4];
  double t13;
  double t14;
  double t18;
  double t2;
  double t20;
  double t6;
  double t9;
  {
    t2 = exp(4.0*s);
    t6 = pow(b/(b-s),1.0*a);
    t9 = exp(18.0*s);
    t13 = l1*l1;
    t14 = l2*l2;
    t18 = sqrt(t13*(t14-0.2E1*s));
    t20 = exp(l1*l2-t18);
    return(log(t2*(p34*t6*t9+(1.0-p34)*t20)));
  }
}

