#include <math.h>
#include <gsl/gsl_complex.h>
#include <gsl/gsl_complex_math.h>
double m(gsl_complex s, double *th)
{
  double lb=th[0], mu=th[1];
  double t1;
  double t2;
  double t3;
  double t31;
  gsl_complex z1,z2,z3,z4,z5,z6,z7,z8,z9,z10,z11,z12,z13,z14,z15;
  {
    t1 = lb*lb;
    t2 = t1*t1;
    t3 = 6.0*lb;
    z1 = gsl_complex_negative(gsl_complex_sub_real(s,t3));
    z1 = gsl_complex_inverse(z1);
    z2 = gsl_complex_negative(gsl_complex_sub_real(s,t3+mu));
    z2 = gsl_complex_inverse(z2);
    z3 = gsl_complex_negative(gsl_complex_sub_real(s,t3+2.0*mu));
    z3 = gsl_complex_inverse(z3);
    z4 = gsl_complex_negative(gsl_complex_sub_real(s,5.0*lb+3.0*mu));
    z4 = gsl_complex_inverse(z4);
    t31 = mu*mu;
    z5 = gsl_complex_mul(z1,z2); z6 = gsl_complex_mul(z2,z3);
    z7 = gsl_complex_mul(z3,z4);
    z8 = gsl_complex_mul(z5,z7);
    z9 = gsl_complex_mul_real(z8,1080.0*t2);
    z10 = gsl_complex_mul_real(z5,6.0*lb*mu);
    z11 = gsl_complex_mul_real(z6,12.0*lb*mu);
    z12 = gsl_complex_mul_real(z7,18.0*lb*mu);
    z13 = gsl_complex_mul_real(z8,108.0*t1*t31);
    z14 = gsl_complex_add(z10,z11); z14 = gsl_complex_add(z14,z12);
    z14 = gsl_complex_negative(gsl_complex_sub_real(z14,1.0));
    z14 = gsl_complex_add(z14,z13);
    z15 = gsl_complex_div(z9,z14);
    return(GSL_REAL( z15 ));
  }
}
