mc.pd <- read.table("mc_pd")
mc.hf <- read.table("mc_hf")

postscript("cell.ps", paper="special", width=6.5, height=4,
           horizontal=FALSE)
par(pty="s", mfrow=c(1,2), oma=c(0,0,0,0), mar=c(2,3,0,1),
    mgp=c(2,1,0))
plot(t, pd, xlab="time (hours)", ylab="density",
     xlim=c(0, q[6]), ylim=c(0,max(mc.pd[,3])),
     type="l",cex.axis=0.75,cex.lab=0.75)
lines(t, mc.pd[,1], lty=2, col="red")
lines(t, mc.pd[,3], lty=2, col="red")
plot(t, hf, xlab="time (hours)", ylab="hazard",
     xlim=c(0, q[6]), ylim=c(0,max(mc.hf[,4])),
     type="l",cex.axis=0.75,cex.lab=0.75)
lines(t, mc.hf[,1], lty=2, col="red")
lines(t, mc.hf[,4], lty=2, col="red")
graphics.off()
