glm <- function (p, q, nobs, i, x, c, compile=T, clean=T)
{
   if (compile) {
      system("ln -s ../Makefile makefile; make -f makefile glm.so;
              make -f makefile clean")
   }
   dyn.load("glm.so")
  
   for (j in c) {
      List <- .C("glm", as.double(p), q=as.double(q), as.integer(nobs),
                 as.integer(i), as.double(x), as.integer(j))
      q <- List$q
   }

   dyn.unload("glm.so")
   if (clean) {   
      system("make -f makefile clean.so; rm makefile")
   }

   q
}
