#include <math.h>
double k02(double s, double *th)
{
  double p=th[0], mu=th[1], l1=th[2], l2=th[3],
         a=th[4], b=th[5];
  double t11;
  double t12;
  double t16;
  double t18;
  double t3;
  double t7;
  {
    t3 = mu/(mu-s);
    t7 = pow(b/(b-s),1.0*a);
    t11 = l1*l1;
    t12 = l2*l2;
    t16 = pow(t11*(t12-2.0*s),0.5);
    t18 = exp(l1*l2-t16);
    return(log(t3*p*t7/(1.0-t3*(1.0-p)*t18)));
  }
}
