#include <math.h>
double k(double s, double *th)
{
  double p01=th[0],p31=th[1],p42=th[2],l1=th[3],
         mu1=th[4],mu2=th[5],a1=th[6],b1=th[7],
         l3=th[8],l2=th[9],eta1=th[10],eta2=th[11],
         a2=th[12],b2=th[13],l4=th[14];
  double t10;
  double t12;
  double t20;
  double t21;
  double t24;
  double t26;
  double t31;
  double t32;
  double t5;
  double t51;
  double t52;
  double t6;
  double t7;
  {
    t5 = mu1*mu1;
    t6 = mu2*mu2;
    t7 = 2.0*s;
    t10 = pow(t5*(t6-t7),0.5);
    t12 = exp(mu1*mu2-t10);
    t20 = eta1*eta1;
    t21 = eta2*eta2;
    t24 = pow(t20*(t21-t7),0.5);
    t26 = exp(eta1*eta2-t24);
    t31 = pow(b2/(b2-s),1.0*a2);
    t32 = t26*p42*t31;
    t51 = pow(b1/(b1-s),1.0*a1);
    t52 = t12*p31*t51;
    return(log((p01*l1/(l1-s)*t12*(1.0-p31)*l3/(l3-s)*(0.1E1-t32)+(1.0-p01)*l2/
(l2-s)*t26*(1.0-p42)*l4/(l4-s)*(0.1E1-t52))/(0.1E1-t52-t32+t52*t32)));
  }
}
