#include <math.h>
double dk(double s, double *th)
{
  double p01=th[0], p10=th[1], l1=th[2],
         l2=th[3], a1=th[4], b1=th[5],
         a2=th[6], b2=th[7], mu=th[8];
  double t1;
  double t10;
  double t12;
  double t13;
  double t15;
  double t16;
  double t2;
  double t21;
  double t22;
  double t23;
  double t29;
  double t31;
  double t32;
  double t37;
  double t39;
  double t42;
  double t47;
  double t48;
  double t5;
  double t6;
  double t8;
  {
    t1 = l1*l1;
    t2 = l2*l2;
    t5 = t1*(t2-2.0*s);
    t6 = pow(t5,-0.5);
    t8 = p01*t6*t1;
    t10 = pow(t5,0.5);
    t12 = exp(l1*l2-t10);
    t13 = 1.0-p10;
    t15 = mu-s;
    t16 = 1/t15;
    t21 = p01*t12;
    t22 = t13*mu;
    t23 = t15*t15;
    t29 = 1/(b1-s);
    t31 = pow(b1*t29,1.0*a1);
    t32 = (1.0-p01)*t31;
    t37 = 1/(b2-s);
    t39 = pow(b2*t37,1.0*a2);
    t42 = 1.0-t21*p10*t39;
    t47 = t21*t22*t16+t32;
    t48 = t42*t42;
    return(((0.1E1*t8*t12*t13*mu*t16+t21*t22/t23+t32*a1*t29)/t42-t47/t48*(
-0.1E1*t8*t12*p10*t39-t21*p10*t39*a2*t37))/t47*t42);
  }
}

