ps.options(width=6, height=6)
postscript("density.ps", horizontal=FALSE)
par(pty="s")
plot(t, pd, xlab="total time (in months)", ylab="density", xlim=c(0, xlim.up),
      lwd=2, lty=2, type="l")
lines(v, pd.ex, lwd=2)
graphics.off()
ps.options(width=0, height=0)

ps.options(width=6, height=6)
postscript("survivor.ps", horizontal=FALSE)
par(pty="s")
plot(t, sf, xlab="total time (in months)", ylab="survivor", xlim=c(0, xlim.up),
      lwd=2, lty=2, type="l")
lines(v, sf.ex, lwd=2)
graphics.off()
ps.options(width=0, height=0)

ps.options(width=6, height=6)
postscript("hazard.ps", horizontal=FALSE)
par(pty="s")
plot(t, hf, xlab="total time (in months)", ylab="hazard", xlim=c(0, xlim.up),
     ylim=c(0, 0.04), lwd=2, lty=2, type="l")
lines(v, hf.ex, lwd=2)
graphics.off()
ps.options(width=0, height=0)
